package de.avatic.taricdb.model;

import java.time.LocalDate;

import org.springframework.data.annotation.Id;

import jakarta.validation.constraints.Size;


public class LegalBase {

	@Id
    private Integer id;

    @Size(max = 255)
    private String legalBase;

    @Size(max = 255)
    private String journal;

    private Integer page;

    private LocalDate date;

    public LegalBase(String legalBase, String journal, Integer page, LocalDate date) {
		this.legalBase = legalBase;
		this.journal = journal;
		this.page = page;
		this.date = date;
	}

	public Integer getId() {
        return id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public String getLegalBase() {
        return legalBase;
    }

    public void setLegalBase(final String legalBase) {
        this.legalBase = legalBase;
    }

    public String getJournal() {
        return journal;
    }

    public void setJournal(final String journal) {
        this.journal = journal;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(final Integer page) {
        this.page = page;
    }

    public LocalDate getDate() {
        return date;
    }

    public void setDate(final LocalDate date) {
        this.date = date;
    }

}
